org.apache.hc.client5.http.impl.sync

## Class HttpClients

- java.lang.Object
- - org.apache.hc.client5.http.impl.sync.HttpClients

    @Immutable
    public class HttpClients
    extends Object

Factory methods for `CloseableHttpClient` instances.

Since:
  4.3

### Method Summary

Methods
`static CloseableHttpClient` `createDefault()` Creates `CloseableHttpClient` instance with default configuration.
`static CloseableHttpClient` `createMinimal()` Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.
`static CloseableHttpClient` `createMinimal(HttpClientConnectionManager connManager)` Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.
`static CloseableHttpClient` `createSystem()` Creates `CloseableHttpClient` instance with default configuration based on ssytem properties.
`static HttpClientBuilder` `custom()` Creates builder object for construction of custom `CloseableHttpClient` instances.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### custom

    public static HttpClientBuilder custom()

Creates builder object for construction of custom `CloseableHttpClient` instances.

#### createDefault

    public static CloseableHttpClient createDefault()

Creates `CloseableHttpClient` instance with default configuration.

#### createSystem

    public static CloseableHttpClient createSystem()

Creates `CloseableHttpClient` instance with default configuration based on ssytem properties.

#### createMinimal

    public static CloseableHttpClient createMinimal()

Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.

#### createMinimal

    public static CloseableHttpClient createMinimal(HttpClientConnectionManager connManager)

Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.